Subject: FIN> I've edited fin MIB to make most everything an attribute.

From: Tom Hastings <[email-masked]>
Date: Fri, 6 Mar 1998 01:42:19 PST

The only object group left, besides finDeviceAttributeGroup is
finDeviceGroup which has only four objects in it.

I've posted:

ftp://ftp.pwg.org/pub/pwg/fin/mibs/finmib04-th.doc
ftp://ftp.pwg.org/pub/pwg/fin/mibs/finmib04-th.pdf
ftp://ftp.pwg.org/pub/pwg/fin/mibs/finmib04-th-rev.pdf
ftp://ftp.pwg.org/pub/pwg/fin/mibs/fin.dic

I've spell checked it, but have not tried to compile it.

We will be looking at it this Friday AM, at 8:30 CST.

Tom

>X-Sender: hastings@garfield
>Date: Mon, 2 Mar 1998 19:56:37 PST
>To: [email-masked]
>From: Tom Hastings <[email-masked]>
>Subject: FIN> Lets make most of FIN MIB attributes
>Sender: [email-masked]
>
>In reviewing the Finisher MIB, we think that we can go a lot further
>and turn most of the objects into attributes.
>
>The only real group we'd need beside the attributes group is:
>
>Finisher Device Group, but only with the following objects (and the
>same two indexes):
>
>finDeviceType
>finDevicePresentOnOff
>finDeviceStatus
>
>For those attributes that need to have parallel values, use the
>same value of the attribute instance to show the relationship.
>
>The redundant Finisher Supply Media Input Group can become
>a single attribute which references the Printer MIB media supply
>table, i.e., the value of the attribute is an index into the 
>Printer MIB media input group table.
>
>Even the attribute constraints can be done as attributes with a single 
>additional group and table.
>
>Tom
>
>
>
>